/**
 * @license
 * Copyright 2019 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import '@material/mwc-ripple/mwc-ripple.js';
import { Ripple } from '@material/mwc-ripple/mwc-ripple.js';
import { RippleHandlers } from '@material/mwc-ripple/ripple-handlers.js';
import { LitElement, TemplateResult } from 'lit';
/** @soyCompatible */
export declare class IconButtonToggleBase extends LitElement {
    protected mdcRoot: HTMLElement;
    /** @soyPrefixAttribute */
    ariaLabel: string;
    disabled: boolean;
    onIcon: string;
    offIcon: string;
    ariaLabelOn: string;
    ariaLabelOff: string;
    on: boolean;
    ripple: Promise<Ripple | null>;
    protected shouldRenderRipple: boolean;
    protected rippleHandlers: RippleHandlers;
    protected handleClick(): void;
    click(): void;
    focus(): void;
    blur(): void;
    /** @soyTemplate */
    protected renderRipple(): TemplateResult | string;
    /** @soyTemplate */
    protected render(): TemplateResult;
    protected handleRippleMouseDown(event?: Event): void;
    protected handleRippleTouchStart(event?: Event): void;
    protected handleRippleDeactivate(): void;
    protected handleRippleMouseEnter(): void;
    protected handleRippleMouseLeave(): void;
    protected handleRippleFocus(): void;
    protected handleRippleBlur(): void;
}
